New Iphone, What if it does not come with firmware 1.1.4 what do i do?

Discussion in 'Jailbreaks and iOS Hacks' started by SMkdesigns, Apr 16, 2008.

  1. SMkdesigns macrumors regular

    Joined:
    Oct 2, 2007
    #1
    Ok i ordered new iphone, got a 15 % discount not bad my buddy works at the apple store.
    So my question after i get the iphone is do i need to let itunes automatically update the firmware, example if my phone came with something lower then 1.1.4.

    or

    Do i put my iphone into recovery mode and download then 1.1.4 and then quit before it finishes. Then start the pwning process with the file 1.1.4 that i downloaded.

    Basically i am just confused on whether or not i need to have the 1.1.4 installed on my iphone before i pwn it. And if i have 1.1.4 installed on my iphone already, i would still have to download the 1.1.4 firmware i am guessing so i can pwn it?? so sens my iphone is new do i just connect to my mac and let itunes update the firmware to 1.1.4

    Please help i am confused and my ipohne will be here soon and i want everything to go smoothly.

    My questions may be stupid but i need help, i cannot afford to fail
     
  2. Tallest Skil macrumors P6

    Tallest Skil

    Joined:
    Aug 13, 2006
    Location:
    1 Geostationary Tower Plaza
    #2
    It's going to come with 1.1.4. Just run ZiPhone for now. Firmware 2.0 is coming out in two months, and it'd be a shame to get all your data put on it and then have to redo everything after that update.
     
  3. SMkdesigns thread starter macrumors regular

    Joined:
    Oct 2, 2007
    #3
    I was told by almost everyone not to run ziphone. Why ouldnt i back my information up
     
  4. SMkdesigns thread starter macrumors regular

    Joined:
    Oct 2, 2007
    #4
    Anyone please help as my iphone is on its way!
     
  5. spinstorm macrumors 65816

    Joined:
    Sep 14, 2007
    #5
    Don't use ZiPhone!

    If its FROM Apple it WILL be 1.1.4.

    But you can check BEFORE doing anything else to the phone by doing the "slide for emergency" and entering *3001#12345#* and then hitting dial.

    Then you will be taken to a page that is called "field test"

    Select "versions" at the bottom and if the firmware version says "04.04.05_G"
    then you are on the 1.1.4 firmware already.

    If not put the phone in recovery mode and press restore and iTunes will download the 1.1.4 firmware.

    If you don't already have it I would do this anyway and then disconnect the phone when it starts downloading if you do not need to restore.

    Can I give you some advice?

    Your panicking and asking questions that will be easily answered when you have the phone... and really all these questions are very straight forward and asnswers can be found else where online easily so wait for the phone and then if you need help ask! NOT BEFORE!:D
     
  6. MacChinoNyc macrumors 6502

    Joined:
    Apr 14, 2008
    #6
    Dont even sweat it dude, you'll have 1.1.4. You're on a mac so you can use pwnage tool. Youtube it, watch them. You'll learn it one way or another :p
     
  7. SMkdesigns thread starter macrumors regular

    Joined:
    Oct 2, 2007
    #7
    so basically you are saying ill have the 1.1.4 firmware on my new iphone, how can you tell
     
  8. Templex macrumors regular

    Joined:
    Jul 12, 2007
    Location:
    Los Angeles, CA
    #8
    Most likely it will come with 1.1.4. If it doesn't, restore to 1.1.4 and proceed with PwnageTool.
     
  9. Tallest Skil macrumors P6

    Tallest Skil

    Joined:
    Aug 13, 2006
    Location:
    1 Geostationary Tower Plaza
    #9
    Okay, I'm on 1.1.3 and I'm just going to wait for the release of 2.0 to update. I didn't go to 1.1.4 because every time I update I have to reinput EVERYTHING since I unlock/jailbreak. Is there a way to roll over things that I've saved in Apple's apps at least?

    For example: contact info and pictures, notes, photos (this isn't that important; I have a backup in iPhoto), etc.

    Trying to restore data from an iTunes' saved backup doesn't even do anything (I click and nothing happens). I just don't want to have to reinput contact information and their pictures every time I update. Is that possible?
     
  10. spinstorm macrumors 65816

    Joined:
    Sep 14, 2007
    #10
    @SMkdesigns

    I TOLD you how to tell if its on your phone already!

    READ WHAT I SAID and you will know! If you can't be bothered to read then you will break your phone and deserve it for being lazy!

    @Tallest Skil

    No there is not! you can't restore from backup as it may cause conflict issues with your previously jailbroken settings on your phone (and yes the backup DOES SAVE jailbreaked apps settings and will cause problems.)

    I am afraid you just have to put everything back manually if you decide to go through with it!
     
  11. bhsu21 macrumors 6502

    Joined:
    Feb 25, 2008
    Location:
    Jacksonville, FL
    #11
    He just told you how to check. And most likely if it's from the Apple store, they're shipping out only 1.1.4 IPhones.

    Yes relax. Just unlock it w/ ILiberty or PWNage and you'll be good to go. There are plenty of tutorials here and on other sites to show you how to do it. Very very easy.
     
  12. SMkdesigns thread starter macrumors regular

    Joined:
    Oct 2, 2007
    #12
    Thanks everyone especially spin, i know i am panicking, i invested alot of money as did all of you into the phone and i don't want it to freeze up, or not work at all.

    I am grateful for the help, and yes i have read the tutorials, i printed them out and studied them during class ha-ha.
     
  13. bhsu21 macrumors 6502

    Joined:
    Feb 25, 2008
    Location:
    Jacksonville, FL
    #13
    No problem. I was the same way. I read so much before I unlocked my IPhone. Did it w/o any problems. Enjoy your phone!!
     
  14. SMkdesigns thread starter macrumors regular

    Joined:
    Oct 2, 2007
    #14
    ha-ha i will when i get it! It's on its way. Pwnage here i come!
     
  15. VoodooDaddy macrumors 65816

    Joined:
    May 14, 2003
    #15
    And whats wrong with ziphone?

    edit - saw you rants in another thread about the bootloader. Well if you have 3.9 then it really doesnt matter.
     
  16. netdog macrumors 603

    netdog

    Joined:
    Feb 6, 2006
    Location:
    London
    #16
    I am on an O2 contract and just want the ability to put applications on my phone if I can do so without screwing up my ability to get it serviced free by Apple.

    Should I use iFreedom or Pwnage or am I better off leaving it as is until 2.0 emerges?
     

Share This Page